Bug 178842 - Fix issues with WebView subframe painting
Summary: Fix issues with WebView subframe painting
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Macintosh macOS 10.13
: P1 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar, PlatformOnly
Depends on:
Blocks:
 
Reported: 2017-10-25 18:51 PDT by Simon Fraser (smfr)
Modified: 2017-11-15 12:43 PST (History)
4 users (show)

See Also:


Attachments
Patch (4.54 KB, patch)
2017-10-25 18:53 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2017-10-25 18:51:15 PDT
Fix issues with WebView subframe painting
Comment 1 Simon Fraser (smfr) 2017-10-25 18:53:17 PDT
Created attachment 324940 [details]
Patch
Comment 2 Daniel Bates 2017-10-25 20:28:37 PDT
Comment on attachment 324940 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=324940&action=review

> Source/WebKitLegacy/mac/ChangeLog:11
> +        WebHTMLView overrides some NSView internal methods to make sure that AppKit doesn't paint
> +        subframes (WebKit controls subframe painting). The method signature of one of these changed in macOS
> +        High Sierra, so match the new signature.

Is there an equivalent to C++11's override keyword to help us catch such changes in the future and/or can we write a unit test to ensure this does not regress?
Comment 3 Simon Fraser (smfr) 2017-10-26 10:36:42 PDT
(In reply to Daniel Bates from comment #2)
> Comment on attachment 324940 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=324940&action=review
> 
> > Source/WebKitLegacy/mac/ChangeLog:11
> > +        WebHTMLView overrides some NSView internal methods to make sure that AppKit doesn't paint
> > +        subframes (WebKit controls subframe painting). The method signature of one of these changed in macOS
> > +        High Sierra, so match the new signature.
> 
> Is there an equivalent to C++11's override keyword to help us catch such
> changes in the future and/or can we write a unit test to ensure this does
> not regress?

The only think I can think of is a runtime assertion that NSView implements certain functions.
Comment 4 WebKit Commit Bot 2017-10-26 13:13:51 PDT
Comment on attachment 324940 [details]
Patch

Clearing flags on attachment: 324940

Committed r224040: <https://trac.webkit.org/changeset/224040>
Comment 5 WebKit Commit Bot 2017-10-26 13:13:52 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-11-15 12:43:44 PST
<rdar://problem/35568031>